Bug 53676 - fast/js/sputnik/Conformance/10_Execution_Contexts/10.2_Entering_An_Execution_Context/10.2.2_Eval_Code tests fail when showModalDialog isn't supported
Summary: fast/js/sputnik/Conformance/10_Execution_Contexts/10.2_Entering_An_Execution_...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-02-03 06:06 PST by Adam Roben (:aroben)
Modified: 2011-09-30 09:37 PDT (History)
8 users (show)

See Also:


Attachments
fix patch (7.99 KB, patch)
2011-06-20 12:04 PDT, Chang Shu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Roben (:aroben) 2011-02-03 06:06:42 PST
To reproduce:

1. Delete the -webViewRunModal: implementation from DumpRenderTree/mac/UIDelegate.mm
2. run-webkit-tests fast/js/sputnik/Conformance/10_Execution_Contexts/10.2_Entering_An_Execution_Context/10.2.2_Eval_Code

All the tests fail. They seem to be failing because "this.showModalDialog" exists in the eval scope but not in the non-eval scope. Why would eval() cause showModalDialog to appear?
Comment 1 Adam Roben (:aroben) 2011-02-03 06:07:31 PST
Until bug 53675 is fixed, this bug is causing these tests to fail on Windows. They were added to the Skipped file way back in r61599.
Comment 2 Adam Roben (:aroben) 2011-02-03 06:36:59 PST
<rdar://problem/8953560>
Comment 3 Chang Shu 2011-06-20 12:04:38 PDT
Created attachment 97835 [details]
fix patch

It seems to me all I have to do is to hook up the runModal function.
Comment 4 WebKit Review Bot 2011-06-20 12:25:59 PDT
Comment on attachment 97835 [details]
fix patch

Clearing flags on attachment: 97835

Committed r89270: <http://trac.webkit.org/changeset/89270>
Comment 5 WebKit Review Bot 2011-06-20 12:26:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Adam Roben (:aroben) 2011-06-20 22:20:13 PDT
This bug was not meant to be about the WK2-specific failures on these tests. This bug is about the fact that these tests are affected by whether the showModalDialog function exists or not. A new bug should have been filed to cover the WK2-specific failures.
Comment 7 Chang Shu 2011-06-21 06:37:12 PDT
(In reply to comment #6)
> This bug was not meant to be about the WK2-specific failures on these tests. This bug is about the fact that these tests are affected by whether the showModalDialog function exists or not. A new bug should have been filed to cover the WK2-specific failures.

Right. :) Sorry for the confusion.